#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: enumerator
version: 0.4.20
id: enumerator-0.4.20-a26b7fec2456307c8b759316b52fc5a6
key: enume_AAmjNt08igrHulyFTlxTKz
license: MIT
copyright: 2010-2011 John Millikin, 2011 Mikhail Vorozhtsov
maintainer: jmillikin@gmail.com
stability: experimental
homepage: https://john-millikin.com/software/enumerator/
synopsis: Reliable, high-performance processing with left-fold enumerators
description:
    Typical buffer&#x2013;based incremental I/O is based around a single loop,
    which reads data from some source (such as a socket or file), transforms
    it, and generates one or more outputs (such as a line count, HTTP
    responses, or modified file). Although efficient and safe, these loops are
    all single&#x2013;purpose; it is difficult or impossible to compose
    buffer&#x2013;based processing loops.
    .
    Haskell&#x2019;s concept of &#x201C;lazy I/O&#x201D; allows pure code to
    operate on data from an external source. However, lazy I/O has several
    shortcomings. Most notably, resources such as memory and file handles can
    be retained for arbitrarily long periods of time, causing unpredictable
    performance and error conditions.
    .
    Enumerators are an efficient, predictable, and safe alternative to lazy
    I/O. Discovered by Oleg Kiselyov, they allow large datasets to be processed
    in near&#x2013;constant space by pure code. Although somewhat more complex
    to write, using enumerators instead of lazy I/O produces more correct
    programs.
    .
    This library contains an enumerator implementation for Haskell, designed to
    be both simple and efficient. Three core types are defined, along with
    numerous helper functions:
    .
    * /Iteratee/: Data sinks, analogous to left folds. Iteratees consume
    a sequence of /input/ values, and generate a single /output/ value.
    Many iteratees are designed to perform side effects (such as printing to
    @stdout@), so they can also be used as monad transformers.
    .
    * /Enumerator/: Data sources, which generate input sequences. Typical
    enumerators read from a file handle, socket, random number generator, or
    other external stream. To operate, enumerators are passed an iteratee, and
    provide that iteratee with input until either the iteratee has completed its
    computation, or EOF.
    .
    * /Enumeratee/: Data transformers, which operate as both enumerators and
    iteratees. Enumeratees read from an /outer/ enumerator, and provide the
    transformed data to an /inner/ iteratee.
category: Data, Enumerator
author: John Millikin <jmillikin@gmail.com>
exposed: True
exposed-modules:
    Data.Enumerator Data.Enumerator.Binary Data.Enumerator.Internal
    Data.Enumerator.IO Data.Enumerator.List Data.Enumerator.Text
    Data.Enumerator.Trans
hidden-modules: Data.Enumerator.Compatibility Data.Enumerator.Util
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/enumerator-0.4.20
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/enumerator-0.4.20
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/enumerator-0.4.20
hs-libraries: HSenumerator-0.4.20-AAmjNt08igrHulyFTlxTKz
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    bytestring-0.10.6.0-3316235c3eca5b6c3be96ecdc7d31040
    containers-0.5.6.2-038ff4498ef87a6c587d93cd99a6573b
    text-1.2.1.3-7b7b9ddb2dfcabed4e37e6b2f8cdc5f5
    transformers-0.4.2.0-21dcbf13c43f5d8cf6a1f54dee6c5bff
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/enumerator-0.4.20/html/enumerator.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/enumerator-0.4.20/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
